Bug 130806 - CAN-2004-0827 heap overflow in BMP decoder
CAN-2004-0827 heap overflow in BMP decoder
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
impact=moderate,public=20040824
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 16:16 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 09:35:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This will add the checks needed to prevent this overflow. (812 bytes, patch)
2004-08-24 16:18 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-08-24 16:16:25 EDT
A heap overflow has been discovered in the ImageMagick BMP decoder. 
The demo BMP file is the same one which affected QT.


The demo image is attachment 102533 [details].

This issue also affects FC1.
Comment 1 Josh Bressers 2004-08-24 16:18:30 EDT
Created attachment 103039 [details]
This will add the checks needed to prevent this overflow.
Comment 2 David Eisenstein 2004-11-10 02:04:42 EST
You may wish to have a look at 
   https://bugzilla.fedora.us/show_bug.cgi?id=2052#c10

because the patch in comment #1 may not have caught all of
the vulnerabilities.
      -David
Comment 3 David Eisenstein 2004-11-16 03:00:46 EST
Please see attachment 106788 [details] for a more comprehensive patch than
103039.  This attachment also covers DIB and AVI buffer overflows
as well as BMP.  Parallel entry in #7 of Bugzilla issue 130807,
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=130807#c7 .
Comment 4 Matthias Clasen 2005-04-01 09:35:36 EST
This should be fixed in 6.0.7, according to comments in #130807. 
FC2 has 6.2.0.7 now --> resolving

Note You need to log in before you can comment on or make changes to this bug.